/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-25 13:52:55.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.aspect;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice(annotations = RestController.class)
public class AspectRestController {

    @ResponseBody
    @ExceptionHandler(value = RuntimeException.class)
    public ResponseEntity<String> handle(RuntimeException e) {
        return AspectController.doHandle(e);
    }

    @ResponseBody
    @ExceptionHandler(value = Exception.class)
    public ResponseEntity<String> handle(Exception e) {
        return AspectController.doHandle(e);
    }

}