/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 17:02:06.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.upyun;

import cn.com.qmth.examcloud.core.print.common.Result;
import cn.com.qmth.examcloud.core.print.common.utils.Check;
import cn.com.qmth.examcloud.core.print.common.utils.FileUtils;
import main.java.com.UpYun;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: fengdesheng
 * @since: 2018/11/1
 */
@Component
public class UpYunClient {
    private static final Logger log = LoggerFactory.getLogger(UpYunClient.class);
    @Autowired
    private UpYunProperty upYunProperty;

    public Result upload(byte[] bytes, String originalFilename) {
        Check.isEmpty(bytes, "上传的文件不能为空！");
        Check.isBlank(originalFilename, "上传的文件名不正确！");
        try {
            final String newFileName = FileUtils.newFileName(originalFilename);
            final String newFilePath = upYunProperty.getUploadUrl() + FileUtils.dateDir() + newFileName;
            this.getInstance().writeFile(newFilePath, bytes, true);

            //成功后，返回文件访问地址
            final String url = upYunProperty.getFileUrl() + newFilePath;
            return Result.success(url);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return Result.error();
    }

    public UpYun getInstance() {
        UpYun upyun = new UpYun(upYunProperty.getBucket(), upYunProperty.getOperator(), upYunProperty.getPsw());
        upyun.setDebug(true);
        upyun.setApiDomain(UpYun.ED_AUTO);
        return upyun;
    }

    public UpYunProperty getProperty() {
        return upYunProperty;
    }

}