/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-02 10:01:13.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.utils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

/**
 * @author: fengdesheng
 * @since: 2018/11/2
 */
public class FileUtils {

    /**
     * 生成日期目录
     * PS: yyyyMM
     */
    public static String dateDir() {
        final String pattern = "yyyyMM";
        return "/" + new SimpleDateFormat(pattern).format(new Date()) + "/";
    }

    /**
     * 生成新的文件名(带后缀)
     * PS: uuid.xyz
     */
    public static String newFileName(String fileName) {
        String uuid = UUID.randomUUID().toString().replaceAll("-", "");
        if (fileName != null) {
            int index = fileName.lastIndexOf(".");
            if (index > 0 && index < fileName.length() - 1) {
                //获取原来文件的后缀名
                return uuid + fileName.substring(index);
            }
        }
        return uuid;
    }

}