/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.*;

/**
 * 课程统计信息
 */
@Entity
@Table(name = "ec_prt_course_statistic", indexes = {
        @Index(name = "INDEX_PRT_COURSE_STATISTIC_01", columnList = "orgId"),
        @Index(name = "INDEX_PRT_COURSE_STATISTIC_02", columnList = "examId"),
        @Index(name = "INDEX_PRT_COURSE_STATISTIC_03", columnList = "courseId")})
public class CourseStatistic extends IdEntity {
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程code
     */
    @Column(length = 50)
    private String courseCode;
    /**
     * 课程名称
     */
    @Column(length = 50)
    private String courseName;
    /**
     * 试卷类型
     */
    @Column(length = 50)
    private String paperType;
    /**
     * @See PaperStatus.java
     * 考试的试卷状态
     */
    private Integer paperStatus;
    /**
     * 考生人数
     */
    private Integer totalStudent;
    /**
     * 绑定的课程试卷ID
     * (表ec_prt_course_paper的ID)
     */
    @OneToOne(cascade = CascadeType.DETACH, fetch = FetchType.EAGER)
    @JoinColumn(name = "course_paper_id")
    private CoursePaper coursePaper;

    public CoursePaper getCoursePaper() {
        return coursePaper;
    }

    public void setCoursePaper(CoursePaper coursePaper) {
        this.coursePaper = coursePaper;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Integer getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(Integer paperStatus) {
        this.paperStatus = paperStatus;
    }

    public Integer getTotalStudent() {
        return totalStudent;
    }

    public void setTotalStudent(Integer totalStudent) {
        this.totalStudent = totalStudent;
    }

}