/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 导出结构设置信息
 */
@Entity
@Table(name = "ec_prt_exam_structure", indexes = {
        @Index(name = "INDEX_PRT_EXAM_STRUCTURE_01", columnList = "orgId,examId", unique = true)})
public class ExamStructure extends IdEntity {
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 学校机构名称
     */
    @Column(length = 50)
    private String orgName;
    /**
     * 考试名称
     */
    @Column(length = 50)
    private String examName;
    /**
     * 考试类型(如：ONLINE，TRADITION)
     *
     * @See ExamType.java
     */
    @Column(length = 50)
    private String examType;
    /**
     * @See ExamQuestionStructure.java
     * <p>
     * 试题结构内容(JSON格式)：
     * {"singleChoiceTotal":10,"multipleChoiceTotal":20,"boolQuestionTotal":30}
     */
    @Column(length = 500)
    private String struct;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public String getStruct() {
        return struct;
    }

    public void setStruct(String struct) {
        this.struct = struct;
    }

}