/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 印刷模板信息
 */
@Entity
@Table(name = "ec_prt_template", indexes = {
        @Index(name = "INDEX_PRT_TEMPLATE_01", columnList = "orgId"),
        @Index(name = "INDEX_PRT_TEMPLATE_02", columnList = "examId")})
public class PrintingTemplate extends IdEntity {
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * @See TemplateType.java
     * 模板类型
     */
    private Integer templateType;
    /**
     * 模板文件名
     */
    @Column(length = 50)
    private String fileName;
    /**
     * 模板文件地址
     */
    @Column(length = 200)
    private String fileUrl;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getTemplateType() {
        return templateType;
    }

    public void setTemplateType(Integer templateType) {
        this.templateType = templateType;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

}