/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-02 17:35:31.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 印刷统计信息
 */
@Entity
@Table(name = "ec_prt_project_statistic", indexes = {
        @Index(name = "INDEX_PRT_PROJECT_STATISTIC_01", columnList = "projectId", unique = true)})
public class ProjectStatistic extends IdEntity {
    /**
     * 印刷项目ID
     */
    private Long projectId;
    /**
     * 人科次
     */
    private Integer totalStudent;
    /**
     * 课程数量
     */
    private Integer totalCourse;
    /**
     * 试卷数量
     */
    private Integer totalPaper;
    /**
     * 试卷袋数
     */
    private Integer totalPkg;
    /**
     * 常规 印刷数量A3
     */
    private Integer normalA3;
    /**
     * 常规 印刷数量A4
     */
    private Integer normalA4;
    /**
     * 备份 印刷数量A4
     */
    private Integer backupA3;
    /**
     * 备份 印刷数量A4
     */
    private Integer backupA4;

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Integer getTotalStudent() {
        return totalStudent;
    }

    public void setTotalStudent(Integer totalStudent) {
        this.totalStudent = totalStudent;
    }

    public Integer getTotalCourse() {
        return totalCourse;
    }

    public void setTotalCourse(Integer totalCourse) {
        this.totalCourse = totalCourse;
    }

    public Integer getTotalPaper() {
        return totalPaper;
    }

    public void setTotalPaper(Integer totalPaper) {
        this.totalPaper = totalPaper;
    }

    public Integer getTotalPkg() {
        return totalPkg;
    }

    public void setTotalPkg(Integer totalPkg) {
        this.totalPkg = totalPkg;
    }

    public Integer getNormalA3() {
        return normalA3;
    }

    public void setNormalA3(Integer normalA3) {
        this.normalA3 = normalA3;
    }

    public Integer getNormalA4() {
        return normalA4;
    }

    public void setNormalA4(Integer normalA4) {
        this.normalA4 = normalA4;
    }

    public Integer getBackupA3() {
        return backupA3;
    }

    public void setBackupA3(Integer backupA3) {
        this.backupA3 = backupA3;
    }

    public Integer getBackupA4() {
        return backupA4;
    }

    public void setBackupA4(Integer backupA4) {
        this.backupA4 = backupA4;
    }

}