/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.enums;

/**
 * 传统考试的试卷状态
 */
public enum PaperStatus {
    /**
     * 试卷尚未从题库中推过来
     */
    无(0),
    /**
     * 试卷已推过来，但未分配
     */
    未指定(1),
    /**
     * 试卷已分配
     */
    已有(2);

    private int index;

    public static String getNameByIndex(Integer index) {
        if (index == null) {
            return null;
        }
        for (PaperStatus type : PaperStatus.values()) {
            if (type.getIndex() == index) {
                return type.name();
            }
        }
        return null;
    }

    PaperStatus(int index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }

}