/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.enums;

/**
 * 模板类型
 */
public enum TemplateType {
    考生数据表(1),

    考场数据表(2),

    卷袋贴模板(3),

    签到表模板(4),

    常规题卡模板(5),

    特殊题卡模板(6),

    备份卷贴模板(7),

    试卷袋样式(8);

    private int index;

    public static boolean isExist(Integer index) {
        if (index == null) {
            return false;
        }
        for (TemplateType type : TemplateType.values()) {
            if (type.getIndex() == index) {
                return true;
            }
        }
        return false;
    }

    public static String getNameByIndex(Integer index) {
        if (index == null) {
            return null;
        }
        for (TemplateType type : TemplateType.values()) {
            if (type.getIndex() == index) {
                return type.name();
            }
        }
        return null;
    }

    TemplateType(Integer index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }

}