/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.repository;

import cn.com.qmth.examcloud.core.print.entity.CourseStatistic;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface CourseStatisticRepository extends JpaRepository<CourseStatistic, Long>, JpaSpecificationExecutor<CourseStatistic> {

    @Transactional
    @Modifying
    @Query("UPDATE CourseStatistic SET courseName=:courseName WHERE courseId=:courseId")
    int updateCourseNameByCourseId(@Param("courseId") Long courseId, @Param("courseName") String courseName);

    @Transactional
    @Modifying
    @Query("UPDATE CourseStatistic SET totalStudent=:totalStudent WHERE orgId=:orgId AND examId=:examId AND courseId=:courseId AND paperType=:paperType")
    int updateTotalStudentByOrgExamCourse(@Param("orgId") Long orgId, @Param("examId") Long examId, @Param("courseId") Long courseId, @Param("paperType") String paperType,
                                          @Param("totalStudent") Integer totalStudent);

}