/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.repository;

import cn.com.qmth.examcloud.core.print.entity.ProjectBackupSetting;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface ProjectBackupSettingRepository extends JpaRepository<ProjectBackupSetting, Long>, JpaSpecificationExecutor<ProjectBackupSetting> {

    @Transactional
    @Modifying
    @Query("delete from ProjectBackupSetting where projectId=:projectId")
    int deleteByProjectId(@Param("projectId") Long projectId);

}