/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 09:37:37.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.common.Result;
import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import static cn.com.qmth.examcloud.core.print.common.Result.success;

/**
 * 课程统计相关接口
 *
 * @author: fengdesheng
 * @since: 2018/11/01
 */
@RestController
@Api(tags = "课程统计相关接口")
@RequestMapping("${$rmp.ctrl.print}/course/statistic")
public class CourseStatisticController extends ControllerSupport {
    @Autowired
    private CourseStatisticService courseStatisticService;

    @PostMapping("/list")
    @ApiOperation(value = "获取课程统计信息列表(分页)")
    public Page<CourseStatisticInfo> list(@RequestBody CourseStatisticQuery query) {
        return courseStatisticService.getCourseStatisticList(query);
    }

    @PostMapping("/init")
    @ApiOperation(value = "刷新某些课程的统计信息")
    public Result init(@RequestParam Long orgId, @RequestParam Long examId, @RequestParam Long[] courseIds) {
        courseStatisticService.initCourseStatistic(orgId, examId, courseIds);
        return success();
    }

    @GetMapping("/all/init")
    public Result init() {
        courseStatisticService.initAllCourseStatistic();
        return success();
    }

}