package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.common.Result;
import cn.com.qmth.examcloud.core.print.service.ExamStructureService;
import cn.com.qmth.examcloud.core.print.service.bean.examstructure.ExamStructureInfo;
import cn.com.qmth.examcloud.core.print.service.bean.examstructure.ExamStructureQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

/**
 * 导出结构设置信息相关接口（前端）
 *
 * @author weiwenhai
 * @since 2018.10.31
 */
@RestController
@Api(tags = "导出结构设置信息相关接口")
@RequestMapping("${$rmp.ctrl.print}/examStructure")
public class ExamStructureController extends ControllerSupport {
    @Autowired
    private ExamStructureService examStructureService;

    @PostMapping("/list")
    @ApiOperation(value = "查询导出结构设置信息（分页）")
    public Page<ExamStructureInfo> getExamStructureList(@RequestBody ExamStructureQuery query) {
        return examStructureService.getExamStructureList(query);
    }

    @PostMapping("/findOne")
    @ApiOperation(value = "根据机构ID和考试ID查询")
    public ExamStructureInfo getExamStructure(@RequestBody ExamStructureQuery query) {
        return examStructureService.getExamStructure(query);
    }

    @PostMapping("/save")
    @ApiOperation(value = "保存导出结构设置信息")
    public Result saveExamStructure(@RequestBody ExamStructureInfo info) {
        examStructureService.saveExamStructure(info);
        return Result.success();
    }

    @PostMapping("/delete/{ids}")
    @ApiOperation(value = "删除导出结构设置信息")
    public Result deleteExamStructure(@PathVariable Long[] ids) {
        examStructureService.deleteExamStructure(ids);
        return Result.success();
    }

    @PostMapping("/copy")
    @ApiOperation(value = "复制导出结构设置信息")
    public Result copyExamStructure(@RequestBody ExamStructureInfo info) {
        examStructureService.copyExamStructure(info);
        return Result.success();
    }

}