/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:24:13.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.common.Result;
import cn.com.qmth.examcloud.core.print.service.PrintingTemplateService;
import cn.com.qmth.examcloud.core.print.service.bean.printingtemplate.PrintingTemplateInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cn.com.qmth.examcloud.core.print.common.Result.success;

/**
 * 印刷模板相关接口
 *
 * @author: fengdesheng
 * @since: 2018/11/01
 */
@RestController
@Api(tags = "印刷模板相关接口")
@RequestMapping("${$rmp.ctrl.print}/project/template")
public class PrintingTemplateController extends ControllerSupport {
    @Autowired
    private PrintingTemplateService printingTemplateService;

    @PostMapping("/{orgId}/{examId}")
    @ApiOperation(value = "获取模板信息列表")
    public List<PrintingTemplateInfo> list(@PathVariable Long orgId, @PathVariable Long examId) {
        return printingTemplateService.getPrintingTemplateList(orgId, examId);
    }

    @PostMapping("/save")
    @ApiOperation(value = "保存或更新某个模板信息")
    public Result save(@RequestBody PrintingTemplateInfo info) {
        printingTemplateService.savePrintingTemplate(info);
        return success();
    }

    @PostMapping("/{id}")
    @ApiOperation(value = "获取某个模板信息")
    public PrintingTemplateInfo get(@PathVariable Long id) {
        return printingTemplateService.getPrintingTemplateById(id);
    }

}