/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-26 14:32:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.common.Result;
import cn.com.qmth.examcloud.core.print.entity.ProjectBackupSetting;
import cn.com.qmth.examcloud.core.print.service.ProjectBackupSettingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import static cn.com.qmth.examcloud.core.print.common.Result.success;

/**
 * 项目备份设置相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/26
 */
@RestController
@Api(tags = "项目备份设置相关接口")
@RequestMapping("${$rmp.ctrl.print}/project/backup/setting")
public class ProjectBackupSettingController extends ControllerSupport {
    @Autowired
    private ProjectBackupSettingService projectBackupSettingService;

    @PostMapping("/{projectId}")
    @ApiOperation(value = "获取某个项目的备份设置信息")
    public ProjectBackupSetting get(@PathVariable Long projectId) {
        return projectBackupSettingService.getProjectBackupSettingById(projectId);
    }

    @PostMapping("/save")
    @ApiOperation(value = "保存或更新某个项目的备份设置信息")
    public Result save(@RequestBody ProjectBackupSetting info) {
        projectBackupSettingService.saveProjectBackupSetting(info);
        return success();
    }

    @PostMapping("/delete/{projectId}")
    @ApiOperation(value = "清除某个项目的备份设置信息")
    public Result delete(@PathVariable Long projectId) {
        projectBackupSettingService.removeProjectBackupSettingById(projectId);
        return success();
    }

}