/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-26 14:33:31.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.common.Result;
import cn.com.qmth.examcloud.core.print.entity.ProjectOtherSetting;
import cn.com.qmth.examcloud.core.print.service.ProjectOtherSettingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cn.com.qmth.examcloud.core.print.common.Result.success;

/**
 * 项目其它事项设置相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/26
 */
@RestController
@Api(tags = "项目其它事项设置相关接口")
@RequestMapping("${$rmp.ctrl.print}/project/other/setting")
public class ProjectOtherSettingController extends ControllerSupport {
    @Autowired
    private ProjectOtherSettingService projectOtherSettingService;

    @PostMapping("/list")
    @ApiOperation(value = "获取其它事项设置列表")
    public List<ProjectOtherSetting> list(@RequestParam Long projectId) {
        return projectOtherSettingService.getProjectOtherSettingList(projectId);
    }

    @PostMapping("/{id}")
    @ApiOperation(value = "获取某个其它事项设置的信息")
    public ProjectOtherSetting get(@PathVariable Long id) {
        return projectOtherSettingService.getProjectOtherSettingById(id);
    }

    @PostMapping("/save")
    @ApiOperation(value = "保存或更新某个其它事项设置信息")
    public Result save(@RequestBody ProjectOtherSetting info) {
        projectOtherSettingService.saveProjectOtherSetting(info);
        return success();
    }

    @PostMapping("/delete/{id}")
    @ApiOperation(value = "删除某个其它事项设置信息")
    public Result delete(@PathVariable Long id) {
        projectOtherSettingService.deleteProjectOtherSettingById(id);
        return success();
    }

}