/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-31 10:59:58.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.provider;

import cn.com.qmth.examcloud.commons.api.HandleSyncCloudService;
import cn.com.qmth.examcloud.commons.api.request.*;
import cn.com.qmth.examcloud.commons.api.response.*;
import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.enums.ExamType;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectService;
import cn.com.qmth.examcloud.core.print.service.bean.common.ExamInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据同步相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/31
 */
@RestController
@RequestMapping("${$rmp.cloud.print}/data")
public class PrintingSyncCloudServiceProvider extends ControllerSupport implements HandleSyncCloudService {
    @Autowired
    private PrintingProjectService printingProjectService;

    /**
     * 同步学校机构
     */
    @PostMapping("/syncOrg")
    public SyncOrgResp syncOrg(@RequestBody SyncOrgReq req) {
        printingProjectService.syncPrintingProjectOrgName(req.getRootId(), req.getName());
        return new SyncOrgResp();
    }

    /**
     * 同步考试
     */
    @PostMapping("syncExam")
    public SyncExamResp syncExam(@RequestBody SyncExamReq req) {
        printingProjectService.syncPrintingProjectOrgName(req.getId(), req.getName());
        if (ExamType.isTradition(req.getExamType())) {
            ExamInfo info = new ExamInfo(req.getRootOrgId(), req.getRootOrgName(), req.getId(), req.getName());
            printingProjectService.syncPrintingProject(info);
        }
        return new SyncExamResp();
    }

    /**
     * 同步考生
     */
    @PostMapping("/syncExamStudent")
    public SyncExamStudentResp syncExamStudent(@RequestBody SyncExamStudentReq req) {
        return null;
    }

    /**
     * 同步学生
     */
    @PostMapping("/syncStudent")
    public SyncStudentResp syncStudent(@RequestBody SyncStudentReq req) {
        return null;
    }

    /**
     * 同步专业
     */
    @PostMapping("/syncCourse")
    public SyncCourseResp syncCourse(@RequestBody SyncCourseReq req) {
        return null;
    }

    /**
     * 同步专业
     */
    @PostMapping("syncSpecialty")
    public SyncSpecialtyResp syncSpecialty(@RequestBody SyncSpecialtyReq req) {
        return null;
    }

}