/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:26:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.examstructure.ExamStructureInfo;
import cn.com.qmth.examcloud.core.print.service.bean.examstructure.ExamStructureQuery;
import org.springframework.data.domain.Page;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 * @update: weiwenhai
 * @date: 2018.10.30
 */
public interface ExamStructureService {

    /**
     * 查询导出结构设置信息（分页）
     *
     * @return
     */
    Page<ExamStructureInfo> getExamStructureList(ExamStructureQuery query);

    /**
     * 根据机构id和考试id查询
     *
     * @param query
     * @return
     */
    ExamStructureInfo getExamStructure(ExamStructureQuery query);

    /**
     * 保存导出结构设置信息
     *
     * @param info
     */
    void saveExamStructure(ExamStructureInfo info);

    /**
     * 删除导出结构设置信息
     */
    void deleteExamStructure(Long[] ids);

    /**
     * 复用导出结构设置信息
     */
    void copyExamStructure(ExamStructureInfo info);

    /**
     * 同步考试名称
     */
    void syncExamStructureExamName(Long examId, String examName);

}