/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-05 16:58:51.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursestatistic;

import cn.com.qmth.examcloud.core.print.entity.CoursePaper;
import cn.com.qmth.examcloud.core.print.entity.CourseStatistic;
import com.google.common.collect.Lists;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: fengdesheng
 * @since: 2018/11/05
 */
public class CourseStatisticConvert {

    public static CourseStatisticInfo of(CourseStatistic statistic) {
        CourseStatisticInfo info = new CourseStatisticInfo();
        info.setId(statistic.getId());
        info.setOrgId(statistic.getOrgId());
        info.setExamId(statistic.getExamId());
        info.setCourseId(statistic.getCourseId());
        info.setCourseCode(statistic.getCourseCode());
        info.setCourseName(statistic.getCourseName());
        info.setPaperType(statistic.getPaperType());
        info.setPaperStatus(statistic.getPaperStatus());
        info.setTotalStudent(statistic.getTotalStudent());

        CoursePaper paper = statistic.getCoursePaper();
        if (paper != null) {
            info.setPaperId(paper.getPaperId());
            info.setPaperName(paper.getPaperName());
            info.setPaperFileUrl(paper.getPaperFileUrl());
            info.setAnswerFileUrl(paper.getAnswerFileUrl());
            info.setPaperP(paper.getPaperP());
        }
        return info;
    }

    public static Page<CourseStatisticInfo> ofPage(Page<CourseStatistic> page) {
        Pageable pageable = new PageRequest(page.getNumber(), page.getSize());
        List<CourseStatistic> entities = page.getContent();
        if (entities == null || entities.isEmpty()) {
            return new PageImpl<>(Lists.newArrayList(), pageable, page.getTotalElements());
        }
        List<CourseStatisticInfo> list = entities.stream().map(entity -> of(entity)).collect(Collectors.toList());
        return new PageImpl<>(list, pageable, page.getTotalElements());
    }

}