/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 09:42:18.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursestatistic;

import cn.com.qmth.examcloud.core.print.enums.PaperStatus;

import java.io.Serializable;

/**
 * 课程的统计信息
 *
 * @author: fengdesheng
 * @since: 2018/11/01
 */
public class CourseStatisticInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程代码
     */
    private String courseCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * @See PaperStatus.java
     * 考试的试卷状态
     */
    private Integer paperStatus;
    /**
     * 试卷类型
     */
    private String paperType;
    /**
     * 试卷ID
     */
    private String paperId;
    /**
     * 试卷名称
     */
    private String paperName;
    /**
     * 试卷文件URL
     */
    private String paperFileUrl;
    /**
     * 答案文件URL
     */
    private String answerFileUrl;
    /**
     * 试卷P数
     */
    private Integer paperP;
    /**
     * 考生人数
     */
    private Integer totalStudent;

    public String getPaperStatusName() {
        return PaperStatus.getNameByIndex(paperStatus);
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(Integer paperStatus) {
        this.paperStatus = paperStatus;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperFileUrl() {
        return paperFileUrl;
    }

    public void setPaperFileUrl(String paperFileUrl) {
        this.paperFileUrl = paperFileUrl;
    }

    public String getAnswerFileUrl() {
        return answerFileUrl;
    }

    public void setAnswerFileUrl(String answerFileUrl) {
        this.answerFileUrl = answerFileUrl;
    }

    public Integer getPaperP() {
        return paperP != null ? paperP : 0;
    }

    public void setPaperP(Integer paperP) {
        this.paperP = paperP;
    }

    public Integer getTotalStudent() {
        return totalStudent != null ? totalStudent : 0;
    }

    public void setTotalStudent(Integer totalStudent) {
        this.totalStudent = totalStudent;
    }

}