/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-05 14:27:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.examstructure;

import cn.com.qmth.examcloud.core.print.common.utils.JsonMapper;
import cn.com.qmth.examcloud.core.print.entity.ExamQuestionStructure;
import cn.com.qmth.examcloud.core.print.entity.ExamStructure;
import com.google.common.collect.Lists;
import org.springframework.beans.BeanUtils;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author weiwenhai
 * @since 2018.10.30
 */
public class ExamStructureConvert {

    public static ExamStructure of(ExamStructureInfo info) {
        ExamStructure entity = new ExamStructure();
        BeanUtils.copyProperties(info, entity);
        String struct = new JsonMapper().toJson(info.getQuestionStructure());
        entity.setStruct(struct);
        return entity;
    }

    public static ExamStructureInfo of(ExamStructure entity) {
        ExamStructureInfo info = new ExamStructureInfo();
        BeanUtils.copyProperties(entity, info);
        ExamQuestionStructure questionStructure = new JsonMapper().fromJson(entity.getStruct(), ExamQuestionStructure.class);
        info.setQuestionStructure(questionStructure);
        return info;
    }

    public static Page<ExamStructureInfo> ofPage(Page<ExamStructure> page) {
        Pageable pageable = new PageRequest(page.getNumber(), page.getSize());
        List<ExamStructure> entities = page.getContent();
        if (entities == null || entities.isEmpty()) {
            return new PageImpl<>(Lists.newArrayList(), pageable, page.getTotalElements());
        }
        List<ExamStructureInfo> list = entities.stream().map(entity -> of(entity)).collect(Collectors.toList());
        return new PageImpl<>(list, pageable, page.getTotalElements());
    }

}