/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:07:32.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.printingproject;

import java.io.Serializable;

/**
 * 印刷项目的统计信息
 *
 * @author: fengdesheng
 * @since: 2018/10/30
 */
public class ProjectStatisticInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 印刷项目ID
     */
    private Long projectId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 供应商ID
     */
    private Long supplierId;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 项目经理ID
     */
    private Long pmId;
    /**
     * 项目经理名称
     */
    private String pmName;
    /**
     * 人科次
     */
    private Integer totalStudent;
    /**
     * 课程数量
     */
    private Integer totalCourse;
    /**
     * 试卷数量
     */
    private Integer totalPaper;
    /**
     * 试卷袋数
     */
    private Integer totalPkg;
    /**
     * 常规 印刷数量A3
     */
    private Integer normalA3;
    /**
     * 常规 印刷数量A4
     */
    private Integer normalA4;
    /**
     * 备份 印刷数量A4
     */
    private Integer backupA3;
    /**
     * 备份 印刷数量A4
     */
    private Integer backupA4;

    /**
     * 合计 印刷数量A3
     */
    public Integer getTotalA3() {
        return getNormalA3() + getBackupA3();
    }

    /**
     * 合计 印刷数量A4
     */
    public Integer getTotalA4() {
        return getNormalA4() + getBackupA4();
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Long getPmId() {
        return pmId;
    }

    public void setPmId(Long pmId) {
        this.pmId = pmId;
    }

    public String getPmName() {
        return pmName;
    }

    public void setPmName(String pmName) {
        this.pmName = pmName;
    }

    public Integer getTotalStudent() {
        return totalStudent != null ? totalStudent : 0;
    }

    public void setTotalStudent(Integer totalExamStudent) {
        this.totalStudent = totalExamStudent;
    }

    public Integer getTotalCourse() {
        return totalCourse != null ? totalCourse : 0;
    }

    public void setTotalCourse(Integer totalCourse) {
        this.totalCourse = totalCourse;
    }

    public Integer getTotalPaper() {
        return totalPaper != null ? totalPaper : 0;
    }

    public void setTotalPaper(Integer totalPaper) {
        this.totalPaper = totalPaper;
    }

    public Integer getNormalA3() {
        return normalA3 != null ? normalA3 : 0;
    }

    public void setNormalA3(Integer normalA3) {
        this.normalA3 = normalA3;
    }

    public Integer getNormalA4() {
        return normalA4 != null ? normalA4 : 0;
    }

    public void setNormalA4(Integer normalA4) {
        this.normalA4 = normalA4;
    }

    public Integer getBackupA3() {
        return backupA3 != null ? backupA3 : 0;
    }

    public void setBackupA3(Integer backupA3) {
        this.backupA3 = backupA3;
    }

    public Integer getBackupA4() {
        return backupA4 != null ? backupA4 : 0;
    }

    public void setBackupA4(Integer backupA4) {
        this.backupA4 = backupA4;
    }

    public Integer getTotalPkg() {
        return totalPkg != null ? totalPkg : 0;
    }

    public void setTotalPkg(Integer totalPkg) {
        this.totalPkg = totalPkg;
    }

}