/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 13:54:25.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.printingtemplate;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;
import cn.com.qmth.examcloud.core.print.enums.TemplateType;

/**
 * 印刷模板信息
 */
public class PrintingTemplateInfo implements JsonSerializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 模板类型
     */
    private Integer templateType;
    /**
     * 模板文件名
     */
    private String fileName;
    /**
     * 模板文件地址
     */
    private String fileUrl;

    /**
     * 模板类型名称
     */
    public String getTypeName() {
        return TemplateType.getNameByIndex(templateType);
    }

    public PrintingTemplateInfo(Integer templateType) {
        this.templateType = templateType;
    }

    public PrintingTemplateInfo() {

    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getTemplateType() {
        return templateType;
    }

    public void setTemplateType(Integer templateType) {
        this.templateType = templateType;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

}