/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-05 14:07:19.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.projectstatistic;

import cn.com.qmth.examcloud.core.print.entity.PrintingProject;
import cn.com.qmth.examcloud.core.print.entity.ProjectStatistic;
import cn.com.qmth.examcloud.core.print.service.bean.printingproject.ProjectStatisticInfo;

/**
 * @author: fengdesheng
 * @since: 2018/11/05
 */
public class PrintingStatisticConvert {

    public static ProjectStatisticInfo of(PrintingProject project, ProjectStatistic statistic) {
        ProjectStatisticInfo info = new ProjectStatisticInfo();
        info.setProjectId(project.getId());
        info.setOrgId(project.getOrgId());
        info.setExamId(project.getExamId());
        info.setPmId(project.getPmId());
        info.setPmName(project.getPmName());
        info.setSupplierId(project.getSupplierId());
        info.setSupplierName(project.getSupplierName());
        if (statistic != null) {
            info.setTotalStudent(statistic.getTotalStudent());
            info.setTotalCourse(statistic.getTotalCourse());
            info.setTotalPaper(statistic.getTotalPaper());
            info.setTotalPkg(statistic.getTotalPkg());
            info.setNormalA3(statistic.getNormalA3());
            info.setNormalA4(statistic.getNormalA4());
            info.setBackupA3(statistic.getBackupA3());
            info.setBackupA4(statistic.getBackupA4());
        }
        return info;
    }

}